package sklep.rest.ext;

import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import sklep.db.RecordNotFound;

@Provider
public class RecordNotFoundMapper implements ExceptionMapper<RecordNotFound> {

    @Override
    public Response toResponse(RecordNotFound exception) {
        return Response.status(404)
                .type("text/html")
                .entity("<p>Wielka bieda!</p>")
                .build();
    }

}
